Validate project schedule file

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
POST /company/{companyId}/project/{projectId}/validate

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • companyId string Required
  • projectId integer(int64) Required
application/json

Body Required

  • fileId string(uuid)
  • companyId string
  • source string

    Values are SmartPM, XER, MPP, Excel, PMXML, PPX, or PP.

  • dataDate string(date-time)
  • skipSubsetValidations boolean
  • projectPlanId string
  • skipProjectLimit boolean

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • valid boolean
    • fileId string(uuid)
    • message string
    • errorCode string
POST /company/{companyId}/project/{projectId}/validate
curl \
 --request POST 'https://live.smartpmtech.com/company/{companyId}/project/{projectId}/validate' \
 --header "X-API-KEY: $API_KEY" \
 --header "Content-Type: application/json" \
 --header "X-COMPANY-ID: string" \
 --data '{
  "fileId": "string",
  "companyId": "string",
  "source": "SmartPM",
  "dataDate": "2026-05-04T09:42:00Z",
  "skipSubsetValidations": true,
  "projectPlanId": "string",
  "skipProjectLimit": true
}'
Request examples
# Headers
X-COMPANY-ID: string

# Payload
{
  "fileId": "string",
  "companyId": "string",
  "source": "SmartPM",
  "dataDate": "2026-05-04T09:42:00Z",
  "skipSubsetValidations": true,
  "projectPlanId": "string",
  "skipProjectLimit": true
}
Response examples (200)
{
  "valid": true,
  "fileId": "string",
  "message": "string",
  "errorCode": "string"
}